org.eclipse.gef.dot.internal.ui.language.contentassist

## Class DotColorListProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotColorProposalProvider
      - - org.eclipse.gef.dot.internal.ui.language.contentassist.DotColorProposalProvider
        - - org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotColorListProposalProvider
          - - org.eclipse.gef.dot.internal.ui.language.contentassist.DotColorListProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

    public class DotColorListProposalProvider
    extends AbstractDotColorListProposalProvider

see http://www.eclipse.org/Xtext/documentation.html#contentAssist on how to customize content assistant

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

### Field Summary

### Fields inherited from class org.eclipse.gef.dot.internal.ui.language.contentassist.DotColorProposalProvider

`globalColorScheme`

### Constructor Summary

Constructors
Constructor and Description
`DotColorListProposalProvider()`

### Method Summary

### Methods inherited from class org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotColorListProposalProvider

`complete_ColorList, complete_WC, completeColorList_ColorValues, completeWC_Color, completeWC_Weight`

### Methods inherited from class org.eclipse.gef.dot.internal.ui.language.contentassist.DotColorProposalProvider

`completeStringColor_Name, completeStringColor_Scheme`

### Methods inherited from class org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotColorProposalProvider

`complete_COLOR_NUMBER, complete_COLOR_STRING, complete_Color, complete_DIGITS, complete_hex, complete_HEXADECIMAL_DIGIT, complete_HSVColor, complete_RGBColor, complete_StringColor, complete_WS, complete_ZERO_OR_ONE, completeHSVColor_H, completeHSVColor_S, completeHSVColor_V, completeRGBColor_A, completeRGBColor_B, completeRGBColor_G, completeRGBColor_R`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotColorListProposalProvider

    public DotColorListProposalProvider()